> For the complete documentation index, see [llms.txt](https://docs.catalyx.solutions/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.catalyx.solutions/catalyx-blockchain-manager/hyperledger-fabric/version-2.4/network-and-node-management/logging-and-monitoring.md).

# Logging and Monitoring

Hyperledger Fabric provides options to monitor deployed solutions. A full list of exportable metrics can be found in the [official Hyperledger Fabric Docs](https://hyperledger-fabric.readthedocs.io/en/release-2.2/metrics_reference.html).

## Prometheus Endpoint

Each node (ordering and peer) in Catalyst Blockchain Platform has a **Prometheus endpoint** automatically configured for collecting metrics. This endpoint is available with no authorization inside the cluster and can be accessed at:

```
<servicename>:8443
```

## Configuring with ServiceMonitor

You can use [Prometheus Operator](https://github.com/prometheus-operator/prometheus-operator) and configure endpoints using `ServiceMonitor`:

```yaml
apiVersion: monitoring.coreos.com/v1
kind: ServiceMonitor
metadata:
  name: fabric-servicemonitor
spec:
  endpoints:
    - interval: 15s
      port: metrics
  selector:
    matchLabels:
      monitoring: true  # These labels are provisioned automatically for each service that supports monitoring
```

{% hint style="info" %}
A built-in monitoring tool based on Prometheus and Grafana will be available in future releases of Catalyst Blockchain Platform.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.catalyx.solutions/catalyx-blockchain-manager/hyperledger-fabric/version-2.4/network-and-node-management/logging-and-monitoring.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
